#ifndef DATALOGVIEW_H
#define DATALOGVIEW_H

#include <QTableWidget>
#include <QVector>
#include <QPair>
#include "dataplot.h"

class dataLogView : public QTableWidget
{
    Q_OBJECT

public:
    dataLogView(QWidget *parent = 0);

public slots:
    void slotSetSamples(const QVector<QPair<QString, QVector<QPointF> > > &samples);

signals:
private:
    double calcMin(const QVector<double> &values) const;
    double calcMax(const QVector<double> &values) const;
    double calcMean(const QVector<double> &values) const;
    double calcStdDev(const QVector<double> &values, const double &mean) const;
};

#endif // DATALOGVIEW_H
