#include "dataplot.h"

dataPlot::dataPlot(QWidget *parent) : QwtPlot(parent)
{
    curve = new QwtPlotCurve("Data");
    curve->setPen(QColor(200,200,200));
    curve->attach(this);
    setCanvasBackground(QBrush(QColor(50,50,50)));

    enableAxis(QwtPlot::yLeft, false);
    enableAxis(QwtPlot::xBottom, false);

    dynamic_cast<QFrame*>(canvas())->setFrameStyle(QFrame::NoFrame);
}

void dataPlot::slotSetData(const QVector<QPointF> &plotData)
{
    curve->setSamples(plotData);

    if(plotData.count() > 0)
    {
        setAxisScale(QwtPlot::xBottom, plotData.first().x(), plotData.last().x());
    } else {
        setAxisScale(QwtPlot::xBottom, 0, 1000);
    }
}
