#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <qwt_plot.h>
#include <qwt_plot_curve.h>
#include <QVector>
#include <QPointF>
#include <QFrame>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    centralWidget()->setAutoFillBackground(true);
    QPalette pal = palette();
    pal.setColor(QPalette::Background, QColor(0,255,0));
    centralWidget()->setPalette(pal);

    QWidget* comboWidget = new QWidget(this);
    QVBoxLayout* vbox = new QVBoxLayout();

    dataPlot* testPlot = new dataPlot(this);
    mLogView = new dataLogView(this);

    vbox->addWidget(testPlot);
    vbox->addWidget(mLogView);
    comboWidget->setLayout(vbox);

    setCentralWidget(comboWidget);

    QVector<QPair<QString, QVector<QPointF> > > samples;

    QVector<QPointF> sinData;
    QVector<QPointF> cosData;
    for(int i=0; i < 360; ++i)
    {
        QPointF pt(i, sin(i * M_PI / 180.));
        sinData.append(pt);

        cosData.append(QPointF(i, cos(i * M_PI/ 180.)));
    }

    samples.append(QPair<QString, QVector<QPointF> >("SIN", sinData));
    samples.append(QPair<QString, QVector<QPointF> >("COS", cosData));

    testPlot->slotSetData(sinData);
    mLogView->slotSetSamples(samples);
}

MainWindow::~MainWindow()
{
    delete ui;
}
